package com.eactive.eai.adapter.socket2.protocol.inisafenatn.codec;

import com.eactive.eai.adapter.socket2.protocol.ISocketAdapter;
import org.apache.mina.filter.codec.ProtocolCodecFactory;
import org.apache.mina.filter.codec.ProtocolDecoder;
import org.apache.mina.filter.codec.ProtocolEncoder;

public class InisafeNatnPayloadCodecFactory implements ProtocolCodecFactory {
	private ProtocolEncoder encoder;
	private ProtocolDecoder decoder;
	
	public InisafeNatnPayloadCodecFactory(ISocketAdapter adapter) {
		encoder = new InisafeNatnPayloadEncoder(adapter);
		decoder = new InisafeNatnPayloadDecoder(adapter);
	}

	public ProtocolDecoder getDecoder() throws Exception {
		return decoder;
	}

	public ProtocolEncoder getEncoder() throws Exception {
		return encoder;
	}
}
